Skip to main content
GET
/
v1
/
robots
/
realtime-cost
/
summary
Get Realtime Cost Summary
curl --request GET \
  --url https://api.gbase.ai/v1/robots/realtime-cost/summary \
  --header 'Authorization: Bearer <token>'
{
  "bot_id": "<string>",
  "model": "<string>",
  "session_count": 123,
  "total_turns": 123,
  "total_duration_ms": 123,
  "cache_hit_rate": 123,
  "items": [
    {
      "category": "<string>",
      "tokens": 123,
      "unit_price": 123,
      "cost": 123
    }
  ],
  "total_cost": 123,
  "totals": {},
  "start_time": "2023-11-07T05:31:56Z",
  "end_time": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

start_time
string<date-time>
end_time
string<date-time>
model
string
default:auto

Response

Successful Response

bot_id
string
required
model
string
required
session_count
integer
required
total_turns
integer
required
total_duration_ms
integer
required
cache_hit_rate
number
required
items
RealtimeCostItemOut · object[]
required
total_cost
number
required
totals
Totals · object
required
start_time
string<date-time>
end_time
string<date-time>